# -*- coding: UTF-8 -*-
"""
Fonctions de gestion des locks Eole
"""
from os import unlink, system
from os.path import join, isfile
from creole.config import LOCK_PATH, LOCK_FILES

def add_lock(lock_name):
    """création d'un lock
    False si existant, True sinon
    """
    lock_file = join(LOCK_PATH, lock_name)
    system('touch %s' % lock_file)
    if isfile(lock_file):
        return True
    return True

def del_lock(lock_name):
    """suppression d'un lock
    True si existant, False sinon
    """
    lock_file = join(LOCK_PATH, lock_name)
    if isfile(lock_file):
        try:
            unlink(lock_file)
        except OSError:
            return False
    return True

def check_lock(lock_name):
    """Test d'existance d'un lock
    """
    lock_file = join(LOCK_PATH, lock_name)
    return isfile(lock_file)

def check_all_locks():
    """Test d'existance de l'un des locks
    du système
    """
    for lock_file in LOCK_FILES:
        if check_lock(lock_file):
            return lock_file
    return ''

